package com.zhongshu.reward.client.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/19
 */
@Data
public class GoodsReceiptsParam {

    @ApiModelProperty("外部订单号")
    @NotNull(message = "外部订单号不能为空")
    private String outTradeNo;

    @ApiModelProperty("获得返利用户id")
    @NotNull(message = "获得返利用户id不能为空")
    private String userId;

    @ApiModelProperty("预计到账时间")
    @NotNull(message = "预计到账时间不能为空")
    private Long estimatedTime;

    @ApiModelProperty("返利金额")
    @NotNull(message = "返利金额不能为空")
    private BigDecimal total = BigDecimal.ZERO;

    @ApiModelProperty("附加信息")
    private Object attach;
}
